Skip to main content
POST
Create an agent skill

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required

The project key

Body

application/json

Agent skill object to create

key
string
required

A unique key for the agent skill. The key must match ^[a-z0-9][a-z0-9-]*$: it can only contain lowercase letters, numbers, or '-', and must start with a lowercase letter or number. The key can be at most 64 characters, and Windows reserved file names (con, prn, aux, nul, com0-com9, and lpt0-lpt9) aren't allowed.

Example:

"pdf-extraction"

name
string
required

Human-readable name of the agent skill.

Example:

"PDF extraction"

markdown
string
required

The verbatim SKILL.md content of the agent skill

description
string

Human-readable description of what the agent skill does.

Example:

"Extracts text and tables from PDF files."

maintainerId
string

The ID of the member who maintains this resource

Example:

"507f1f77bcf86cd799439011"

maintainerTeamKey
string

The key of the team that maintains this resource

Example:

"example-team-key"

tags
string[]

Tags for the agent skill. Tags can be used in custom role policies.

Example:

Response

Agent skill created

key
string
required

The agent skill key

name
string
required

Human-readable name of the agent skill.

Example:

"PDF extraction"

markdown
string
required

The verbatim SKILL.md content of the agent skill

tags
string[]
required

Tags for the agent skill. Tags can be used in custom role policies.

Example:
version
integer
required

Version of the agent skill. Starts at 1, and each update that changes the name, description, or markdown creates a new version. Pass this value with key in a variation's skills: [{key, version}].

Example:

2

createdAt
integer<int64>
required
_access
object
Example:

The location and content type of related resources

Example:
_maintainer
object

The member or team that maintains this resource

Example:
description
string

Human-readable description of what the agent skill does.

Example:

"Extracts text and tables from PDF files."